## cascading.platform.hadoop2
Class Hadoop2MR1Platform

    java.lang.Object
      cascading.platform.TestPlatform
          cascading.platform.hadoop.BaseHadoopPlatform
              cascading.platform.hadoop2.Hadoop2MR1Platform

    public class Hadoop2MR1Platform

extends BaseHadoopPlatform

Class Hadoop2Platform is automatically loaded and injected into a `PlatformTestCase` instance so that all *PlatformTest classes can be tested against Apache Hadoop 2.x.

Field Summary

Fields inherited from class cascading.platform.hadoop.BaseHadoopPlatform
`fileSys, jobConf, logger, numMapTasks, numReduceTasks, properties`

Fields inherited from class cascading.platform.TestPlatform
`CLUSTER_TESTING_PROPERTY`

Constructor Summary
`Hadoop2MR1Platform()`

Method Summary
`FlowConnector` `getFlowConnector(Map<Object,Object> properties)`
`String` `getName()`
`Integer` `getNumMapTasks(Map<Object,Object> properties)`
`Integer` `getNumReduceTasks(Map<Object,Object> properties)`
`void` `setNumMapTasks(Map<Object,Object> properties, int numMapTasks)`
`void` `setNumReduceTasks(Map<Object,Object> properties, int numReduceTasks)`
`void` `setUp()`

Methods inherited from class cascading.platform.hadoop.BaseHadoopPlatform

`copyFromLocal, copyToLocal, getDelimitedFile, getDelimitedFile, getDelimitedFile, getFlowProcess, getHiddenTemporaryPath, getJobConf, getLongComparator, getPartitionTap, getProperties, getStringComparator, getTap, getTemplateTap, getTemplateTap, getTestConfigDefScheme, getTestFailScheme, getTextFile, isHDFSAvailable, isMapReduce, remoteExists, remoteRemove, safeFileName, setNumMapTasks, setNumReduceTasks, tearDown`

Methods inherited from class cascading.platform.TestPlatform
`getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getFlowConnector, getGlobalProperties, getNumMappers, getNumReducers, getTabDelimitedFile, getTabDelimitedFile, getTextFile, getTextFile, getTextFile, getTextFile, isUseCluster, setNumMappers, setNumReducers, setUseCluster`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hadoop2MR1Platform

    public Hadoop2MR1Platform()

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `cascading.platform.TestPlatform`

### getFlowConnector

    public FlowConnector getFlowConnector(Map<Object,Object> properties)

  Specified by:
    `getFlowConnector` in class `cascading.platform.TestPlatform`

### setNumMapTasks

    public void setNumMapTasks(Map<Object,Object> properties,
                               int numMapTasks)

  Overrides:
    `setNumMapTasks` in class `cascading.platform.TestPlatform`

### setNumReduceTasks

    public void setNumReduceTasks(Map<Object,Object> properties,
                                  int numReduceTasks)

  Overrides:
    `setNumReduceTasks` in class `cascading.platform.TestPlatform`

### getNumMapTasks

    public Integer getNumMapTasks(Map<Object,Object> properties)

  Overrides:
    `getNumMapTasks` in class `cascading.platform.TestPlatform`

### getNumReduceTasks

    public Integer getNumReduceTasks(Map<Object,Object> properties)

  Overrides:
    `getNumReduceTasks` in class `cascading.platform.TestPlatform`

### setUp

    public void setUp()
               throws IOException

  Specified by:
    `setUp` in class `cascading.platform.TestPlatform`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.